| ghc-6.12.3: The GHC API | Contents | Index

RnPat

Documentation
rnPats :: HsMatchContext Name -> [LPat RdrName] -> ([LPat Name] -> RnM (a, FreeVars)) -> RnM (a, FreeVars)
rnBindPat :: NameMaker -> LPat RdrName -> RnM (LPat Name, FreeVars)
data NameMaker
applyNameMaker :: NameMaker -> Located RdrName -> RnM Name
localRecNameMaker :: MiniFixityEnv -> NameMaker
topRecNameMaker :: Module -> MiniFixityEnv -> NameMaker
rnHsRecFields1 :: HsRecFieldContext -> (RdrName -> arg) -> HsRecFields RdrName (Located arg) -> RnM ([HsRecField Name (Located arg)], FreeVars)
data HsRecFieldContext

Constructors

HsRecFieldCon Name |
HsRecFieldPat Name |
HsRecFieldUpd |

rnLit :: HsLit -> RnM ()
rnOverLit :: HsOverLit t -> RnM (HsOverLit Name, FreeVars)
rnQuasiQuote :: HsQuasiQuote RdrName -> RnM (HsQuasiQuote Name, FreeVars)
checkTupSize :: Int -> RnM ()
patSigErr :: Outputable a => a -> SDoc
Produced by Haddock version 2.6.1